org.eclipse.microprofile.config.tck.converters.implicit

## Class ConvTestSequenceParseBeforeConstructor

- java.lang.Object
- - org.eclipse.microprofile.config.tck.converters.implicit.ConvTestSequenceParseBeforeConstructor

    public class ConvTestSequenceParseBeforeConstructor
    extends Object

Part of the implicit Converter test. Sample class which has a parse(CharSequence) and Constructor(String) method. The method parse(CharSequence) should be used instead of constructor(String).

Author:
  Emily Jiang

### Constructor Summary

Constructors
Constructor and Description
`ConvTestSequenceParseBeforeConstructor(String val)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getVal()`
`static ConvTestSequenceParseBeforeConstructor` `parse(CharSequence val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvTestSequenceParseBeforeConstructor

    public ConvTestSequenceParseBeforeConstructor(String val)

### Method Detail

#### parse

    public static ConvTestSequenceParseBeforeConstructor parse(CharSequence val)

#### getVal

    public String getVal()